=== debian/changelog ===
rtmpdump (1.9-1) unstable; urgency=low

  * Initial release - packaged for Maemo5

 -- Rip <info@the-mesh.org>  Mon, 25 Jan 2010 20:51:16 +0930
