=== debian/changelog ===
rtmpdump (2.4~20110711.gitc28f1bab-1ubuntu0.1) precise-security; urgency=medium

  [Marc Deslauriers]
  * SECURITY UPDATE: denial of service in AMF3ReadString function
    - debian/patches/CVE-2015-8270.patch: init str on unsupported
      references in librtmp/amf.c.
    - CVE-2015-8270
  * SECURITY UPDATE: arbitrary code execution in AMF3CD_AddProp function
    - debian/patches/CVE-2015-8271-1.patch: check for input buffer underrun
      in librtmp/amf.c.
    - debian/patches/CVE-2015-8271-2.patch: more input buffer checks in
      librtmp/amf.c.
    - CVE-2015-8271
  * SECURITY UPDATE: denial of service via null pointer dereference
    - debian/patches/CVE-2015-8272.patch: ignore requests without playpath
      in rtmpsrv.c.
    - CVE-2015-8272

 -- Emily Ratliff <emily.ratliff@canonical.com>  Fri, 19 May 2017 08:34:49 -0500

rtmpdump (2.4~20110711.gitc28f1bab-1) unstable; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * Fix previous changelog entry.
  * Fix debian/watch to scan for .tgz as well as .tar.gz file extensions.
  * Remove myself from Uploaders.

  [ Andres Mejia ]
  * Build depend on libgnutls-dev >= 2.4.1.

  [ Alessio Treglia ]
  * New upstream release (Closes: #637867):
    - Add RTMPE type 9 handshake support.
  * Switch packaging to source format 3.0 (quilt).
  * Enable multiarch (Closes: #637861).
    Thanks to Steve Langasek for the patch!
  * Refresh 01_unbreak_makefile.diff
  * Drop patches applied upstream:
    - 02_strtime-visibility.patch
    - 03-Dont-link-explicitly-against-static-library.patch
  * debian/control:
    - Correct team's name in the Maintainer field.
    - Correct small error in the description, URL should be
      capitalized (Closes: #616461).
    - Description should not start with an article.
  * Update debian/copyright.
  * Add gbp config file.
  * Add simple script to prepare release tarballs from upstream's git.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 17 Aug 2011 12:16:03 +0200

rtmpdump (2.3-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * make librtmp-dev depend on librtmp0

  [ Andres Mejia ]
  * Move ${misc:Depends} as last entry in Depends field of librtmp-dev.

  [ Fabian Greffrath ]
  * debian/patches/03-Dont-link-explicitly-against-static-library.patch:
    New patch from upstream SVN (slightly modified) to avoid explicit
    linking against the static library.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Aug 2010 08:59:47 -0400

rtmpdump (2.3-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/02_fix_gnutls_teardown.diff:
      - Dropped, merged upstream.
    + debian/librtmp0.install,
      debian/librtmp0.symbols,
      debian/control,
      debian/librtmp-dev.install,
      debian/rules:
      - Add shared library package.
    + debian/patches/01_unbreak_makefile.diff:
      - Refreshed and fixed the clean rule too.
    + debian/patches/02_strtime-visibility.patch:
      - Hide the private strtime symbol by making it static
        to prevent any symbol conflicts.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Jul 2010 19:57:14 +0200

rtmpdump (2.2e-4) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Add Vcs-* fields to debian/control.
  * Fix typo in librtmp-dev package description.
  * Fix debhelper 7 usage as per dh(1) manpage.

  [ Reinhard Tartler ]
  * librtmp is built against gnutls, so depend on libgnutls headers
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 29 Jun 2010 13:44:16 +0200

rtmpdump (2.2e-3) unstable; urgency=low

  * Build with -fPIC to allow linking of the library into shared libraries,
    e.g. ffmpeg (Closes: #585000).
  * Use new Free Software Foundation address in debian/copyright.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jun 2010 11:24:05 +0200

rtmpdump (2.2e-2) unstable; urgency=low

  * update debian/copyright after consulting upstream

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 03 Jun 2010 20:53:02 +0200

rtmpdump (2.2e-1) unstable; urgency=low

  * New upstream release.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 May 2010 21:41:50 +0200

rtmpdump (2.2d-1) unstable; urgency=low

  * Initial release (Closes: #529974) 

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 May 2010 17:07:16 +0200
