## rtmpdump 2.4%2B20121230.gitdf6c518

=== debian/control ===
Source: rtmpdump
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Sebastian Dröge <slomo@debian.org>
Build-Depends:
 debhelper (>= 8.1.3),
 libgnutls-dev (>= 2.4.1)
Standards-Version: 3.9.2
Section: web
Vcs-Git: git://git.debian.org/git/pkg-multimedia/rtmpdump.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rtmpdump.git;a=summary
Homepage: http://rtmpdump.mplayerhq.hu/

Package: rtmpdump
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg, mplayer
Description: small dumper for media content streamed over the RTMP protocol
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.

Package: librtmp0
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: toolkit for RTMP streams (shared library)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the shared libraries, header files needed by
 programs that want to use librtmp.

Package: librtmp-dev
Section: libdevel
Depends: libgnutls-dev, librtmp0 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: toolkit for RTMP streams (development files)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with librtmp.
