## rtmpdump 2.4%2B20151223.gitfa8646d.1

=== debian/changelog ===
rtmpdump (2.4+20151223.gitfa8646d.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/: Bump debhelper compat level to 11.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 May 2018 15:33:27 +0200

rtmpdump (2.4+20151223.gitfa8646d.1-1) unstable; urgency=medium

  * Reimport upstream snapshot.
  * debian/get-git-source.sh: Create archive from FETCH_HEAD as intended.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.
  * debian/librtmp-dev.manpages: Install librtmp.3 manpage.
  * debian/rtmp{srv,suck}.1: Provide manpages for rtmpsrv and rtmpsuck.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 27 Apr 2016 12:05:18 +0200

rtmpdump (2.4+20151223.gitfa8646d-1) unstable; urgency=medium

  * New upstream snapshot fixing potential integer overflow.
  * debian/rules:
    - Build with -Wl,--as-needed.
    - Use include files from dpkg-dev for DEB_ variables.
  * debian/control:
    - Bump Standards-Version.
    - Bump Priority to optional.
    - Update Vcs-Browser.
    - Add myself to Uploaders.
    - Remove obsolete Pre-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Jan 2016 21:53:02 +0100

rtmpdump (2.4+20150115.gita107cef-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot fixing multiple issues when streaming to YouTube and
    Wowza:
    - Fix RTMP streams with timestamps longer than 24 bits.
    - Fix authentication with Wowza 4.x servers.
  * debian/patches/03_suppress_warning.diff: Suppress warning about 24-bit
    timestamps. Thanks to William King.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Mar 2015 18:27:52 +0200

rtmpdump (2.4+20131018.git79459a2-5) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Add missing libgmp-dev and zlib1g-dev to Build-Depends. They are pulled
      in indirectly but are used in rtmpdump.
    - Add missing libgnutls28-dev and zlib1g-dev to librtmp-dev's Depends.
      They are needed by the pkg-config file. (Closes: #764133)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Nov 2014 15:54:48 +0100

rtmpdump (2.4+20131018.git79459a2-4) unstable; urgency=medium

  * librtmp-dev: Depend on nettle-dev (Closes: #755314)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Jul 2014 20:27:37 -0400

rtmpdump (2.4+20131018.git79459a2-3) unstable; urgency=medium

  [ Andreas Metzler ]
  * 02_gnutls_requires.private.diff: In pkg-config file move gnutls, hogweed,
    and nettle from Requires to Requires.private. librtmp's headers do not
    expose these libraries.
  * Drop librtmp-dev dependency on libgnutls-dev and nettle-dev.
    Closes: #745216

  [ Reinhard Tartler ]
  * Rebuild against libgnutls28-dev (Closes: #752297)
  * debian/control: Update VCS fields

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Jun 2014 18:02:21 -0400

rtmpdump (2.4+20131018.git79459a2-2) unstable; urgency=low

  * Depends on libgmp-dev and nettle-dev to librtmpdev (Closes: #744242)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 11 Apr 2014 22:08:17 -0400

rtmpdump (2.4+20131018.git79459a2-1) unstable; urgency=low

  * Merge new upstream version (Closes: #731094, #743830)
    - New upstream is claimed to fix segfault: Closes: #656693, #655038
  * Drop suggests on obsolete packages (Closes: #722584)
  * Follow upstream's SONAME bump librtmp0->librtmp1. No API has been changed,
    but is necessary because the layout of the RTMP struct was changed.
  * Compile with hardening enabled
  * Build depend on nettle-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Apr 2014 21:15:22 -0400

rtmpdump (2.4+20121230.gitdf6c518-1) unstable; urgency=low

  [ Reinhard Tartler ]
   * Imported Upstream version 2.4+20111222.git4e06e21
    - upstream supports SOCKS proxys (Closes: #706113)
   * revise package descriptions (Closes: #638664)

  [ Colin Watson ]
  * Use correct toolchain when cross-building (Closes: #695021)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 01 May 2013 12:33:52 +0200

rtmpdump (2.4+20111222.git4e06e21-1) unstable; urgency=low

  * Imported Upstream version 2.4+20111222.git4e06e21
  * revise package descriptions (Closes: #638664)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 08 Jan 2012 12:27:09 +0100
