## rtmpdump 2.4%2b20121230.gitdf6c518-1maemo2

=== debian/changelog ===
rtmpdump (2.4+20121230.gitdf6c518-1maemo2) unstable; urgency=low

  * Optification.

 -- Robert Irvin <android_808@hotmail.com>  Sat,  11 Jan 2014 21:10:00 +0000 

rtmpdump (2.4+20121230.gitdf6c518-1maemo1) unstable; urgency=low

  * Merge upstream changes.

 -- Robert Irvin <android_808@hotmail.com>  Mon,  27 May 2013 15:30:08 +0100

rtmpdump (2.4+20111222.git4e06e21-1maemo1) unstable; urgency=low

  * Initial release

 -- Robert Irvin <android_808@hotmail.com>  Sat,  4 May 2013 16:45:08 +0100
