## rtmpdump 2.4%2b20121230.gitdf6c518-1maemo3

=== debian/changelog ===
rtmpdump (2.4+20121230.gitdf6c518-1maemo3) unstable; urgency=low

  * Fix broken dependency generation.

 -- Robert Irvin <android_808@hotmail.com>  Sat,  18 Jan 2014 21:14:00 +0000 
