=== debian/control ===
Source: rtmpdump
Section: user/multimedia
Priority: extra
Maintainer: Robert Irvin <android_808@hotmail.com>
Build-Depends: debhelper (>= 5), libssl-dev
Standards-Version: 3.7.2

Package: rtmpdump
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg, mplayer
Description: small dumper for media content streamed over the RTMP protocol
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
XSBC-Maemo-Display-Name: rtmpdump
XB-Maemo-Icon-26:  
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBGQs5EHBm1nMAAAbXSURBVFjD7VldiF1XFf7W2uec+zeTmXTyQ0Yw
 hZEq1aQJQiiUioLUagUpkr6kRWrRB30v+KzgiyL+oA8mpYK2lVoICAqilVis
 ltbaKgmxtW3GRDOTTGh+5t6Z2Xv9+LDPvXPnTsCk+UWyH87d93Lv3t/51vet
 tfa55O64mQbjJhu3AN0CdKWjcHciilGAG2M3dxCRqrRaTXcv8pvDh99JSQC6
 /oCIqNtdPHVqbu/eTxNxAeD06dMpRXdyR1WV1zMxEUHVZmePmenCwsLmzVsK
 AGauakR84MAPn3nmyRACEQEAoZ7U5F6tGPlgoqr79j22Z8897mbmAIoM00wB
 lGU5Pr6hKAoOTETMlCklwB1+xZjcPUs2T8xMRIqiNDPAalHnFzNzh5mHEMqq
 ZGZmcAi6UnMUmm7qMHKA/D2KLXOT0fQ3dXdXNcDyRjUgVQPczNTUVJlBzOVk
 d9/TKXZpcR7PPdxqjgWzPt9+RSrOUMxMVfOVaJQhdSeHBWYuKBShqGh6N6UL
 rJGk59O7cP44a4LbVRDTABMzZ2CDRXnAkKq6OwcOIXDAPY8vffQLZpHZaWIb
 f/LrsRyLzERElK9XMHhoZGmbrWGI3M0MpqYqquF9d69MzogFpBXERZ8/YtO7
 WRkpBc9R86vgtSxqVTMz7peMop8MVBXmRszE2Hi7lw2C04nX7A/fgkmxvCit
 Dlotsixn6mNyMkGo3ktbldlyz8HJi65xmbs7E4VAHIiJHehMhInbWi5sG1wV
 sDoL1JiA1pTd/nE58mzFl1kVzawPKLusXndVQyKqSUVlZVnO/CvFpKK66cP6
 iW8sbvrIMkoxkySSYionIorUmIqiqbUptaakcVssJyLKhCJVk7GajIaEIlUb
 Y7khiqSUUoqpmojcSI2NsRiPaiJJVFVEzTQnwjUuM3ODkxMxvXOINt2hOz5X
 xh7Gt/i9j6dTh/WlH5Xd+ZAW/YHvLc2+EFzptZ8UH7jPxqf9Q5+1lUUKlU1s
 t+5Jbk156sIB6dHEdjt2KLz9fKERe5/qHf1lkXpUtv3Mm/TGr4m0ZmjA+2rI
 srhARCBG85X9y7MvLX/sq83OFFvC1jux6xF54ZscCtaIN35VnjvGXOBvPyvv
 +Iy8+kQFYPejcfZQefzFAMKDT/Z++7XW+RNUdvz+by+/9ZuSGUtn6ejB8vwJ
 rsb8rkdic5JkIQNSIh62PdW2N0tJUhRTg5Vzrzaeemzp6PPRyGLU7ffKUm8l
 SSLG/BFTTyklNTE30SSaHHbqHyqaeucEwPxRVU8XTmnZ8RQlJZFlzB810dQ7
 K2nJETQlyZ53tzV5yEzNzMyIiZlcmaxoNhtjrfG/Px2KipgIRsTgrF53NRUV
 VTW1lERE8rrunosg99MVgDp1Map2zmNMgeC1y3LGzjbhQQ8goubOICK688F4
 91dkaoYI5a6HChdicFHwoPwnEVNzc1NvbIApUg+gHHrNOYA5J8C6QjNTc9J3
 7FVPtHWHtTZ66jJR7jXWidpdzVRVRYUTo9SZT9nM/YkImpAEoaC/PhfNyxS9
 exrUt+nSWaws+sPPencB//wdXOHuIql7GiIJCSLoLkA0wREXCUE//1N5d5Ze
 /C4tXZAsFVVjptHimu+MiCjgzNt2/GVqbKDNMwGO5Xftzd/H13+OshmI/Rdf
 RNWpK75G/9P36Y/fARihABcAednBwS8XVQfuqDo4+KWy0fHYJV3RP/+geGU/
 iBEqJ9J+HtIQ1rnMTHO1Y8KJl+k/r+vENnrox0XqYeUc/eUJbrYqosItlW0M
 +g8iKpqjPTIcVWegHzTG8hdRtlE2qRqrv+ZaJ8ZhUQ/b3lVUkhCIi4AY4gU7
 e1LSElaW4FKowJH8f5WxvIeIjJ5vGjhwH1ftlBKGNs0uU1VeU1xVVVVyyAAQ
 mIjOzcn+BxIRQDS+sQnQpXSNddzpIi1c1a6pyqAHdV1VzcKa4mqWecvKIDjB
 qVE2Gpsa66vhoMOmfKmvq1B4INFLKq6eu7SR4iqZJFVdhT+ypq/W1IHLgJw/
 6l8MmuVLrK+6OsKIy1zVhs8DvL58X/yeaf19X+7Zw/0iolZVMfPhvu5yT1iX
 26DlXXJiVLX1tq8JBMDMOXbX7Pjsa0Nmoy1s/niYxtU+7KrCylsMuQz9nlpH
 XGbDMEeOUVcL03CfO5j3ebLRFjbLKKU0CNa1Dtmgz7+IqHMYt2yZ3rlzz1Cw
 ruEjmAGyrVunRVR17ckVoLm5k0Rh27b3X/8nRClFs8YqQ8w8N/fvubmTzHxp
 Ke1ajKGQpSS7d39wx46ZG/gkryyrGFMNqN1u79x5l904cnKU2u02AMoHtpvk
 iae7062/Fm4B+n8D9F8CoFTfIuoyYgAAAABJRU5ErkJggg==
XB-Maemo-Upgrade-Description: New upstream release

Package: librtmp0
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Description: toolkit for RTMP streams (shared library)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the shared libraries, header files needed by
 programs that want to use librtmp.

Package: librtmp-dev
Section: devel
Depends: libssl-dev, librtmp0 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: toolkit for RTMP streams (development files)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with librtmp.
