## rtmpdump 2.4+20111222.git4e06e21

=== debian/changelog ===
rtmpdump (2.4+20111222.git4e06e21-1ubuntu1) raring; urgency=low

  * Use correct toolchain when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Dec 2012 12:33:43 +0000
