## rtmpdump 2.4+20131018.git79459a2

=== debian/control ===
Source: rtmpdump
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 9~), libgnutls28-dev (>= 2.4.1), nettle-dev
Standards-Version: 3.9.5
Section: web
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmpdump.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtmpdump.git;a=summary
Homepage: http://rtmpdump.mplayerhq.hu/

Package: rtmpdump
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: small dumper for media content streamed over the RTMP protocol
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.

Package: librtmp1
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Description: toolkit for RTMP streams (shared library)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the shared libraries, header files needed by
 programs that want to use librtmp.

Package: librtmp-dev
Section: libdevel
Depends: librtmp1 (= ${binary:Version}), ${misc:Depends}, libgmp-dev, nettle-dev
Architecture: any
Multi-Arch: same
Description: toolkit for RTMP streams (development files)
 A small dumper for media content streamed over the RTMP protocol (like BBC's
 iPlayer high quality streams). Supplying an RTMP URL will result in a dumped
 flv file, which can be played/transcoded with standard tools.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with librtmp.
