## rtmpdump 2.4+20150115.gita107cef

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,12 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 9~), libgnutls28-dev (>= 2.4.1), nettle-dev
+Build-Depends:
+ debhelper (>= 9~),
+ libgmp-dev,
+ libgnutls28-dev (>= 2.4.1),
+ nettle-dev,
+ zlib1g-dev
 Standards-Version: 3.9.5
 Section: web
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmpdump.git
@@ -34,7 +39,13 @@
 
 Package: librtmp-dev
 Section: libdevel
-Depends: librtmp1 (= ${binary:Version}), ${misc:Depends}, libgmp-dev, nettle-dev
+Depends:
+ librtmp1 (= ${binary:Version}),
+ ${misc:Depends},
+ libgmp-dev,
+ libgnutls28-dev,
+ nettle-dev,
+ zlib1g-dev
 Architecture: any
 Multi-Arch: same
 Description: toolkit for RTMP streams (development files)
