=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: rtmpdump
-Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
-           Sebastian Dröge <slomo@debian.org>
+           Sebastian Dröge <slomo@debian.org>,
+           Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 9),
  libgmp-dev,
  libgnutls28-dev (>= 2.4.1),
  nettle-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: web
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmpdump.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtmpdump.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/rtmpdump.git
 Homepage: http://rtmpdump.mplayerhq.hu/
 
 Package: rtmpdump
@@ -26,7 +28,6 @@
 Package: librtmp1
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Multi-Arch: same
 Description: toolkit for RTMP streams (shared library)
