=== debian/changelog ===
rtmpdump (2.4+20151223.gitfa8646d.1-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository.

  [ root ]
  * Remove constraints unnecessary since buster

  [ Dylan Aïssi ]
  * debian/copyright: Convert to machine-readable format
  * debian/control: switch to debhelper-compat 13
  * Fix installation of manpages for compat 13
  * debian/watch: switch to format 4
  * debian/control: Standards-Version: 4.7.2 (no changes required)
  * Add debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 Aug 2025 22:48:06 +0200
