=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: rtmpdump
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>,
-           Sebastian Dröge <slomo@debian.org>,
-           Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Reinhard Tartler <siretart@tauware.de>,
+ Sebastian Dröge <slomo@debian.org>,
+ Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  libgmp-dev,
- libgnutls28-dev (>= 2.4.1),
+ libgnutls28-dev,
  nettle-dev,
  zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.7.2
 Section: web
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmpdump.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/rtmpdump.git
-Homepage: http://rtmpdump.mplayerhq.hu/
+Vcs-Git: https://salsa.debian.org/multimedia-team/rtmpdump.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/rtmpdump
+Homepage: https://rtmpdump.mplayerhq.hu/
 
 Package: rtmpdump
 Architecture: any
