=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

MAKEVARS= \
	prefix=/usr \
	CRYPTO=GNUTLS \
	libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	XCFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	XLDFLAGS="$(LDFLAGS)"

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	MAKEVARS += CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
endif

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build -- $(MAKEVARS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEVARS)

get-orig-source:
	debian/get-git-source.sh
