=== debian/watch ===
version=4
https://rtmpdump.mplayerhq.hu/download/rtmpdump-(.*)\.(?:tgz|tar\.gz)
